<!DOCTYPE html>
<html>
  <head>
    <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1">
    <meta charset="utf-8">
    <title>Messages</title>
    <!--App Style root.css-->
    <link rel="stylesheet" type="text/css" href="style/root.css">
    <!-- Stable Building blocks -->
    <link rel="stylesheet" type="text/css" href="shared/style/action_menu.css">
    <link rel="stylesheet" type="text/css" href="shared/style/buttons.css">
    <link rel="stylesheet" type="text/css" href="shared/style/confirm.css">
    <link rel="stylesheet" type="text/css" href="shared/style/edit_mode.css">
    <link rel="stylesheet" type="text/css" href="shared/style/headers.css">
    <link rel="stylesheet" type="text/css" href="shared/style/input_areas.css">
    <link rel="stylesheet" type="text/css" href="shared/style/switches.css">
    <link rel="stylesheet" type="text/css" href="shared/style/lists.css">
    <link rel="stylesheet" type="text/css" href="shared/style/progress_activity.css">
    <link rel="stylesheet" type="text/css" href="shared/style/status.css">
    <link rel="stylesheet" type="text/css" href="shared/style/sim_picker.css">
    <!-- App styles -->
    <link rel="stylesheet" type="text/css" href="style/common.css">
    <link rel="stylesheet" type="text/css" href="style/sms.css">
    <link rel="stylesheet" type="text/css" href="style/message.css">
    <link rel="stylesheet" type="text/css" href="style/notification.css">
    <link rel="stylesheet" type="text/css" href="style/report_view.css">
    <link rel="stylesheet" type="text/css" href="style/attachment.css">
    <link rel="stylesheet" type="text/css" href="style/composer.css">
    <!-- Localization -->
    <link rel="resource" type="application/l10n" href="locales/locales.ini">
    <link rel="resource" type="application/l10n" href="shared/locales/date.ini">
    <link rel="resource" type="application/l10n" href="shared/locales/sim_picker.ini">
    <link rel="resource" type="application/l10n" href="locales/sms-hacky-2.0.properties">
    <!-- Shared code -->
    <script defer src="shared/js/l10n.js"></script>
    <script defer src="shared/js/l10n_date.js"></script>
    <script defer src="shared/js/template.js"></script>
    <script defer src="shared/js/performance_testing_helper.js"></script>
    <script defer src="shared/js/async_storage.js"></script>
    <script defer src="shared/js/lazy_loader.js"></script>
    <script defer src="shared/js/sticky_header.js"></script>
    <script defer src="shared/js/contact_photo_helper.js"></script>
    <script defer src="shared/js/fb/fb_request.js"></script>
    <script defer src="shared/js/fb/fb_data_reader.js"></script>
    <script defer src="shared/js/fb/fb_reader_utils.js"></script>
    <script defer src="js/navigation.js"></script>
    <script defer src="js/event_dispatcher.js"></script>
    <script defer src="js/time_headers.js"></script>
    <script defer src="js/contacts.js"></script>
    <script defer src="js/drafts.js"></script>
    <script defer src="js/threads.js"></script>
    <script defer src="js/thread_list_ui.js"></script>
    <script defer src="js/utils.js"></script>
    <script defer src="js/settings.js"></script>
    <script defer src="js/message_manager.js"></script>
    <script defer src="js/app.js"></script>
    <script defer src="js/startup.js"></script>
    <!-- Lazy load scripts
    <script defer src="shared/js/notification_helper.js"></script>
    <script defer src="shared/js/gesture_detector.js"></script>
    <script defer src="shared/js/settings_url.js"></script>
    <script defer src="shared/js/mime_mapper.js"></script>
    <script defer src="shared/js/mobile_operator.js"></script>
    <script defer src="shared/js/settings_listener.js"></script>
    <script defer src="shared/js/sim_picker.js"></script>
    <script defer src="shared/js/multi_sim_action_button.js"></script>
    <script defer src="js/dialog.js"></script>
    <script defer src="js/task_runner.js"></script>
    <script defer src="js/silent_sms.js"></script>
    <script defer src="js/recipients.js"></script>
    <script defer src="js/attachment.js"></script>
    <script defer src="js/attachment_menu.js"></script>
    <script defer src="js/thread_ui.js"></script>
    <script defer src="js/compose.js"></script>
    <script defer src="js/waiting_screen.js"></script>
    <script defer src="js/activity_picker.js"></script>
    <script defer src="js/wbmp.js"></script>
    <script defer src="js/smil.js"></script>
    <script defer src="js/link_helper.js"></script>
    <script defer src="js/action_menu.js"></script>
    <script defer src="js/link_action_handler.js"></script>
    <script defer src="js/notify.js"></script>
    <script defer src="js/activity_handler.js"></script>
    <script defer src="js/contact_renderer.js"></script>
    <script defer src="js/information.js"></script>
    <script defer src="shared/js/font_size_utils.js"></script>
    -->
    <!-- Elements -->
    <link rel="import" href="/shared/elements/sim_picker.html">
  </head>

  <body role="application" class="skin-comms">
    <article id="main-wrapper" class="wrapper" data-position='right'>
      <section id="thread-list" class="panel" role="region">
        <header class="view-header regular-header">
          <menu type="toolbar">
            <a href="#composer" id="icon-add">
              <span class="icon icon-compose"></span>
            </a>
            <a id="threads-options-icon">
              <span class="icon icon-options"></span>
            </a>
          </menu>
          <h1 data-l10n-id="messages">Messages</h1>
        </header>
        <article id="threads-container" class="view-body edit-container" data-type="list">
        </article>

        <div id="threads-no-messages" class="hide">
          <div id="no-result-message">
            <p data-l10n-id="noMessages-title">No messages</p>
            <p data-l10n-id="noMessages-text">Start communicating now</p>
          </div>
        </div>

        <form id="threads-edit-form" role="dialog" data-type="edit">
          <section role="region">
            <header>
              <button id="threads-cancel-button">
                <span data-l10n-id="cancel" class="icon icon-close">close</span>
              </button>
              <menu type="toolbar">
                <button id="threads-delete-button" data-l10n-id="delete">delete</button>
              </menu>
              <h1 id="threads-edit-mode" data-l10n-id="deleteMessages-title">Delete messages</h1>
            </header>
          </section>
          <menu>
            <button id="threads-uncheck-all-button" disabled class="edit-button" data-l10n-id="deselect-all">
              None
            </button>
            <button id="threads-check-all-button" class="edit-button" data-l10n-id="select-all">
              All
            </button>
          </menu>
        </form>

        <section id="threads-draft-saved-banner" class="hide" role="status">
          <p data-l10n-id="message-draft-saved">Message saved as draft</p>
        </section>

        <div id="sticky"></div>
      </section>

      <section id="thread-messages" class="panel" role="region">
        <header class="view-header regular-header">
          <a role="link" id="messages-back-button">
            <span class="icon icon-back"></span>
          </a>
          <a role="link" id="messages-close-button">
            <span class="icon icon-close"></span>
          </a>
          <menu type="toolbar">
            <a id="messages-attach-button">
              <span class="icon icon-attachment"></span>
            </a>
            <a id="messages-options-icon">
              <span class="icon icon-options"></span>
            </a>
          </menu>
          <h1 id="messages-header-text" aria-hidden="true"></h1>
        </header>
        <div id="messages-subheader" class="subheader">
          <section id="messages-to-field">
            <section data-l10n-id="to" id="to-label">
              To:
            </section>
            <!-- When overflow occurs in the recipients list, scrolling is
            commonly triggered automatically through focus and keyboard events.
            In these cases, white space described by CSS `padding-bottom` will
            not be automatically scrolled into view (because the element will
            only scroll far enough to bring the cursor into view). A container
            element is necessary to consistently render this vertical space
            (instead realized with CSS `margin-bottom`). -->
            <div id="messages-recipients-list-container" class="bb-editable">
              <section id="messages-recipients-list" class="singleline">
              </section>
            </div>
            <menu type="toolbar">
              <a id="messages-contact-pick-button">
                <span class="icon icon-user"></span>
              </a>
            </menu>
          </section>
          <div id="contact-carrier" class="carrier-wrapper">
            <span class="phone-type"></span>
            <span class="phone-type-separator" data-l10n-id="thread-separator">
            </span>
            <span class="phone-details"></span>
          </div>
          <!-- Notifications in this container will be rendered on top of the
          Compose field. These notifications should be hidden automatically so
          they do not prevent the user from inputting text. -->
          <div class="overlay">
            <section id="messages-subject-max-length-notice"
                     role="notification"
                     class="hide">
              <p data-l10n-id='messages-max-subject-length-text'></p>
            </section>
            <section id="messages-max-length-notice"
                     role="notification"
                     class="hide">
              <p></p>
            </section>
            <section id="messages-convert-notice"
                    role="notification"
                    class="hide">
              <p></p>
            </section>
            <section id="messages-resize-notice"
                    role="notification"
                    class="hide">
              <p data-l10n-id="resize-image">Resizing the attached image</p>
            </section>
            <section id="messages-new-message-notice"
                    role="notification"
                    class="hide">
              <div>
                <div data-l10n-id="new-message-notice-text">You have new messages</div>
                <div class="contact">Contact</div>
              </div>
              <div>
                <button class="notice-button" data-l10n-id="new-message-notice-a-text">read it</button>
              </div>
            </section>
          </div>
        </div>
        <article id="information-participants" class="view-body article-list hide" data-type="list">
          <ul class="contact-list"></ul>
        </article>
        <article id="information-report" class="view-body article-list report-view hide" data-type="list">
          <div class="description">
            <p class="type"></p>
            <p class="subject"></p>
          </div>
          <div div class="sent-detail">
            <p class="datetime l10n-contains-date"></p>
            <div class="status-container">
              <span class="status"></span>
              <aside></aside>
            </div>
          </div>
          <span class="contact-title"></span>
          <ul class="contact-list"></ul>
          <div class="received-detail">
            <div class="sent-timestamp-label">
              <span data-l10n-id="message-sent"></span>
              <span class="sent-timeStamp l10n-contains-date"></span>
            </div>
            <div>
              <span data-l10n-id="message-received"></span>
              <span class="received-timeStamp l10n-contains-date"></span>
            </div>
          </div>
          <div class="sim-info hide">
            <span data-l10n-id="message-via"></span>
            <span class="sim-detail"></span>
          </div>
          <div class="size-block">
            <span data-l10n-id="message-size-was"></span>
            <span class="size"></span>
          </div>
        </article>
        <article id="composer-container" class="view-body">
          <div class="flex-composer">
            <div id="composer-messages-container">
              <div id="messages-container" data-type="list" class="article-list">
              </div>
            </div>
            <form id="messages-compose-form" role="search" class="bottom" data-message-type="sms">
              <div class="composer-message-complete">
                <div id="messages-subject-input" contentEditable="true" class="placeholder js-l10n-placeholder" data-max-length="40">
                </div>
                <div id="messages-input" contentEditable="true" name="message" x-inputmode="-moz-sms" class="js-l10n-placeholder">
                </div>
                <div class="message-divider"></div>
              </div>
              <div class="composer-button-container">
                <span id="messages-counter-label" data-counter="">MMS</span>
                <button id="messages-send-button" class="icon" aria-label="send" data-l10n-id="send" type="submit">
                  <div class="js-sim-indication sim-indication" data-l10n-id="send-button-sim-indication"></div>
                </button>
              </div>
            </form>
          </div>
        </article>
        <form role="dialog" id="messages-edit-form" data-type="edit" >
          <section role="region">
            <header>
              <button id="messages-cancel-button">
                <span data-l10n-id="cancel" class="icon icon-close">close</span>
              </button>
              <menu type="toolbar">
                <button id="messages-delete-button" data-l10n-id="delete">delete</button>
              </menu>
              <h1 id="messages-edit-mode" data-l10n-id="deleteMessages-title">Delete Messages</h1>
            </header>
          </section>
          <menu>
            <button id="messages-uncheck-all-button" disabled class="edit-button" data-l10n-id="deselect-all">
              None
            </button>
            <button id="messages-check-all-button" class="edit-button" data-l10n-id="select-all">
              All
            </button>
          </menu>
        </form>
        <section id="messages-recipient-suggestions" class="article-list hide" data-type="list">
          <ul class="contact-list"></ul>
        </section>
      </section>
    </article>

    <article id="loading">
      <form role="dialog" data-type="confirm" class="loading-container">
        <section>
          <p class="loading-header" data-l10n-id="deleting-messages">Deleting messages...</p>
          <div role="status">
            <progress class="small"></progress>
          </div>
        </section>
      </form>
    </article>

    <menu id="attachment-options-menu" class="hide" tabindex="-1">
      <div>
        <form id="attachment-options" role="dialog" data-type="action">
          <header></header>
          <menu>
            <button id="attachment-options-view"></button>
            <button id="attachment-options-remove"></button>
            <button id="attachment-options-replace"></button>
            <button id="attachment-options-cancel" data-l10n-id="cancel"></button>
          </menu>
        </form>
      </div>
    </menu>

    <!--
      -  Templates
      -->

    <div id="contact-suggestion-tmpl" class="hide">
      <!--
      <li>
        <a class="suggestion"
          data-number="${number}" data-source="contacts" data-name="${name}"
          data-type="${type}" data-separator="${separator}" data-carrier="${carrier}">
          ${photoHTML}
          <p class="name">${nameHTML}</p>
          <p class="number">
            <span data-l10n-id="${type}">${type}</span>${separator}${carrier}${numberHTML}
          </p>
        </a>
      </li>
      -->
    </div>

    <div id="contact-suggestion-unknown-tmpl" class="hide">
    <!--
    <li>
      <a class="suggestion"
        data-number="${number}" data-source="contacts" data-name="${name}"
        data-type="${type}" data-separator="${separator}" data-carrier="${carrier}">
        ${photoHTML}
        <p class="name">${numberHTML}</p>
        <p class="number">
          <span data-l10n-id="${type}">Unknown Contact</span>
        </p>
     </a>
    </li>
    -->
    </div>

    <div id="contact-prompt-tmpl" class="hide">
      <!--
      <div class="contact-header">
        ${photoHTML}
        <p class="name">${name}</p>
        <p class="details">
          <span data-l10n-id="${type}">${type}</span>${separator}${carrier}${number}
        </p>
      </div>
      -->
    </div>

    <div id="contact-photo-tmpl" class="hide">
      <!--
      <aside class="pack-end">
        <span data-type="img" style="background-image: url(${photoURL})"></span>
      </aside>
      -->
    </div>

    <div id="contact-highlight-tmpl" class="hide">
      <!--
      <span class="highlight">${str}</span>
      -->
    </div>

    <div id="messages-number-tmpl" class="hide">
      <!--
      <a class="suggestion" data-number="${number}" data-source="manual" data-name="${number}">
        <p class="name">${number}</p>
      </a>
      -->
    </div>

    <div id="information-report-tmpl" class="hide">
      <!--
      <p class="${deliveryClass}">
        <span data-l10n-id="message-delivered"></span>
        <span class="l10n-contains-date" data-l10n-id="${deliveryL10n}"
              data-l10n-date="${deliveryTimestamp}"
              data-l10n-date-format="${messageL10nDateFormat}"
              >${deliveryDateL10n}</span>
      </p>
      <p class="${readClass}">
        <span data-l10n-id="message-read-title"></span>
        <span class="l10n-contains-date" data-l10n-id="${readL10n}"
              data-l10n-date="${readTimestamp}"
              data-l10n-date-format="${messageL10nDateFormat}"
              >${readDateL10n}</span>
      </p>
      -->
    </div>

    <div id="messages-not-downloaded-tmpl" class="hide">
      <!--
      <span class="not-downloaded-message l10n-contains-date"
            data-l10n-id="${messageL10nId}"
            data-l10n-args="${messageL10nArgs}"
            data-l10n-date="${messageL10nDate}"
            data-l10n-date-format="${messageL10nDateFormat}"></span>
      <button type="button" class="download" data-l10n-id="${downloadL10nId}"></button>
      -->
    </div>

     <div id="messages-date-group-tmpl">
      <!--
      <div id="${id}" class="messages-date-group" data-timestamp="${timestamp}">
        <header
          class="messages-date-group-header"
          data-time-update="${headerTimeUpdate}"
          data-time="${headerTime}"
          data-date-only="${headerDateOnly}">
        </header>
        <ul class="message-list"></ul>
      </div>
      -->
    </div>

    <div id="messages-message-tmpl" class="hide">
      <!--
      <label class="pack-checkbox danger">
        <input type="checkbox" value="${id}">
        <span></span>
      </label>
      <section class="bubble">
        <h1 class="message-subject">
          ${subject}
        </h1>
        <div class="message-content">
          <aside class="message-status">
            <progress class="${progressIndicatorClassName}"></progress>
          </aside>
          <div class="message-body">
            <p>${bodyHTML}</p>
            <time data-time-update="true" data-time-only="true" data-time="${timestamp}"></time>
          </div>
        </div>
      </section>
      -->
    </div>

    <div id="messages-thread-tmpl" class="hide">
      <!--
      <label class="pack-checkbox danger">
        <input type="checkbox" value="${id}" data-mode="${mode}">
        <span></span>
      </label>
      <a href="${hash}">
        <aside class="icon icon-unread icon-draft">icon</aside>
        <aside class="pack-end empty">
          <span data-type="img"></span>
        </aside>
        <p class="name" data-l10n-id="no-recipient">${number}</p>
        <p class="summary">
          <time data-time-update="true" data-time-only="true" data-time="${timestamp}"></time>
          <span class="mms-icon">MMS</span>
          <span class="body-text">${bodyHTML}</span>
        </p>
      </a>
      -->
    </div>

    <div id="messages-recipient-tmpl" class="hide">
      <!--
      <span class="${className}" x-inputmode="verbatim"
        contenteditable="${editable}"
        data-number="${number}" data-source="${source}" data-name="${name}"
        data-carrier="${carrier}" data-separator="${separator}" data-type="${type}">
        ${name}
      </span>
      -->
    </div>

    <div id="attachment-nopreview-tmpl" class="hide">
      <!--
      <div class="attachment ${errorClass}">
        <div class="thumbnail-placeholder ${type}-placeholder">
        </div>
        <div class="size-indicator" data-l10n-id="${sizeL10nId}" data-l10n-args="${sizeL10nArgs}"></div>
      </div>
      <div class="file-name">${fileName}</div>
      -->
    </div>

    <div id="attachment-preview-tmpl" class="hide">
      <!--
      <div class="attachment">
        <div class="thumbnail" style="background-image: url(${imgData})"></div>
        <div class="size-indicator" data-l10n-id="${sizeL10nId}" data-l10n-args="${sizeL10nArgs}"></div>
      </div>
      <div class="file-name">${fileName}</div>
      -->
    </div>

    <div id="attachment-draft-tmpl" class="hide">
      <!--
      <head>
        <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1">
        <meta charset="utf-8">
        <base href="${baseURL}">
        <style type="text/css">
          html, body { font-size: 10px; }
        </style>
        <link rel="stylesheet" type="text/css" href="style/attachment.css">
      </head>
      <body class="attachment-draft ${previewClass}">
        ${attachmentHTML}
      </body>
      -->
    </div>

    <article>
      <form is="sim-picker" id="sim-picker" role="dialog" data-type="action" tabindex="-1" hidden></form>
    </article>
  </body>
</html>
